
AOS.init({ once: true });

// custom-header-dropdown
$(document).on('click', '.nav-link', function (e) {
  console.log('here');
  if (window.matchMedia("(max-width: 991px)").matches) {
    if ($(this).closest('.nav-item').find('.dropdown').css('display') == 'none') {
      $('.dropdown').css("display", "none");
      $(this).closest('.nav-item').find('.dropdown').css("display", "block");
    } else {
      $('.dropdown').css("display", "none");
    }
  }
});
// custom-header-dropdown


// slider
$('#galerySlider').owlCarousel({
  loop: true,
  margin: 10,
  animateOut: 'fadeOut',
  animateIn: 'fadeIn',
  nav: false,
  dots: false,
  autoplay: true,
  autoplaySpeed: 4000,
  autoplayTimeout: 4000,
  responsive: {
    0: {
      items: 2
    },
    575: {
      items: 3
    },
    767: {
      items: 4
    },
    991: {
      items: 5
    },
    1199: {
      items: 5
    },
    1399: {
      items: 5
    }
  }
});

$('#partnerSlider').owlCarousel({
  loop: true,
  margin: 10,
  animateOut: 'fadeOut',
  animateIn: 'fadeIn',
  nav: false,
  dots: false,
  autoplay: true,
  autoplaySpeed: 2000,
  autoplayTimeout: 2000,
  responsive: {
    0: {
      items: 2
    },
    575: {
      items: 3
    },
    767: {
      items: 4
    },
    991: {
      items: 5
    },
    1199: {
      items: 5
    },
    1399: {
      items: 5
    }
  }
});
$('#partnerSlider2').owlCarousel({
  loop: true,
  margin: 10,
  animateOut: 'fadeOut',
  animateIn: 'fadeIn',
  nav: false,
  dots: false,
  autoplay: true,
  autoplaySpeed: 3200,
  autoplayTimeout: 3200,
  responsive: {
    0: {
      items: 2
    },
    575: {
      items: 3
    },
    767: {
      items: 4
    },
    991: {
      items: 5
    },
    1199: {
      items: 5
    },
    1399: {
      items: 5
    }
  }
});


// Initialize Lenis
const lenis = new Lenis({
  autoRaf: true,
});

// Listen for the scroll event and log the event data
lenis.on('scroll', (e) => {
  // console.log(e);
});
